# Created by pyp2rpm-3.3.2
%global pypi_name pytoml

Name:           python-%{pypi_name}
Version:        0.1.20
Release:        %mkrel 10
Summary:        A parser for TOML-0.4.0
Group:          Development/Python
License:        MIT
URL:            https://github.com/avakar/pytoml
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
This project aims at being a specs-conforming and strict parser and writer
for TOML files. The library currently supports version 0.4.0 of the specs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This project aims at being a specs-conforming and strict parser and writer
for TOML files. The library currently supports version 0.4.0 of the specs.

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytoml

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.1.20-10.mga10
+ Revision: 2238913
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.1.20-9.mga10
+ Revision: 2155671
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 0.1.20-8.mga10
+ Revision: 2130484
- add and use pytest

* Wed Dec 13 2023 papoteur <papoteur> 0.1.20-7.mga10
+ Revision: 2017875
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.1.20-6.mga9
+ Revision: 1822946
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.1.20-5.mga9
+ Revision: 1778178
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.1.20-4.mga9
+ Revision: 1703496
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.20-3.mga8
+ Revision: 1530967
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 0.1.20-2.mga8
+ Revision: 1437994
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 0.1.20-1.mga7
+ Revision: 1393410
- imported package python-pytoml

